<!DOCTYPE html>
<html lang="en">
  <head>
    <title>{% if page.title %}{{ page.title }} - {% endif %}{{ site.data.event.name }}</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/styles/site.css?{{ site.time | date: '%s%N' }}">

    <link rel="icon" href="/images/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/images/apple-touch-icon.png">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
  </head>
  <body class="{% if page.body_class %}{{ page.body_class }}{% else %}{{ page.title | slugify }}{% endif %}">

    <nav class="navbar navbar-default">
      <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed"
            data-toggle="collapse" data-target="#pg-navbar-collapse"
            aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a href="/" class="navbar-brand">
            <img src="/images/logo-notext.svg" alt="{{ site.data.event.name }}">
          </a>
        </div>

        <div class="collapse navbar-collapse" id="pg-navbar-collapse">
          <ul class="nav navbar-nav navbar-right">
            {% comment %} About {% endcomment %}
            <li>
              <a href="{% link about/index.md %}" class="dropdown-toggle"
                data-toggle="dropdown" role="button" aria-haspopup="true"
                aria-expanded="false">
                About
                <span class="caret"></span>
              </a>

              <ul class="dropdown-menu">
                <li>
                  <a href="{% link about/index.md %}">What is
                    PyGotham?</a>
                </li>
                <li>
                  <a href="{% link about/code-of-conduct.md %}">Code of
                    Conduct</a>
                </li>
                <li>
                  <a href="{% link about/diversity.md %}">Diversity</a>
                </li>
                <li>
                  <a href="{% link about/privacy-policy.md %}">Privacy
                    Policy</a>
                </li>
                <li><a href="{% link about/faq.md %}">FAQ</a></li>
              </ul>
            </li>

            {% comment %} Events {% endcomment %}
            <li>
              <a href="#" class="dropdown-toggle" data-toggle="dropdown"
                role="button" aria-haspopup="true" aria-expanded="false">
                Events
                <span class="caret"></span>
              </a>

              <ul class="dropdown-menu">
                {% assign talks = site.talks | where: 'type', 'talk' %}
                {% if talks.size > 0 %}
                  <li>
                    <a href="{% link talks/index.md %}">Talk List</a>
                  </li>
                  {% assign slotted_talks = talks | where_exp: 'item', 'item.slot' %}
                  {% if slotted_talks.size > 0 %}
                    <li>
                      <a href="{% link talks/schedule.md %}">Talk Schedule</a>
                    </li>
                  {% endif %}
                {% endif %}
                <li>
                  <a href="{% link events/youngcoders.md %}">Young Coders</a>
                </li>
                <li>
                  <a href="{% link events/socialevent.md %}">Social Event</a>
                </li>
                {% if site.data.event.lightning_talk_signup_url %}
                  <li>
                    <a href="{{ site.data.event.lightning_talk_signup_url }}">Lightning Talk Signup</a>
                  </li>
                {% endif %}
                {% if site.data.event.open_space_signup_url %}
                  <li>
                    <a href="{{ site.data.event.open_space_signup_url }}">Open Space Signup</a>
                  </li>
                {% endif %}
              </ul>
            </li>

            {% comment %} Registration {% endcomment %}
            <li><a href="{% link registration/index.md %}">Registration</a></li>

            {% if site.data.event.cfp_url %}
              <li>
                <a href="{{ site.data.event.cfp_url }}">Call for Proposals</a>
              </li>
            {% endif %}

            {% if site.data.event.talk_voting_url %}
              <li>
                <a href="{{ site.data.event.talk_voting_url }}">Vote on Proposals</a>
              </li>
            {% endif %}

            {% comment %} Sponsors {% endcomment %}
            <li>
              <a href="{% link sponsors/index.md %}" class="dropdown-toggle"
                data-toggle="dropdown" role="button" aria-haspopup="true"
                aria-expanded="false">
                Sponsors
                <span class="caret"></span>
              </a>

              <ul class="dropdown-menu">
                <li><a href="{% link sponsors/index.md %}">Sponsors</a></li>
                <li>
                  <a href="{% link sponsors/prospectus.md %}">Prospectus</a>
                </li>
              </ul>
            </li>

            {% comment %} Venue {% endcomment %}
            <li><a href="{% link venue/index.md %}">Venue</a></li>
          </ul>
        </div>
      </div>
    </nav>

    {{ content }}

    <div class="edit-this-page">
      <a href="{{ site.data.event.repository_url }}/edit/master/{{ page.path }}">
        Want to edit this page?
      </a>
    </div>

    <footer>
      <section class="container credits">
        {{ site.data.event.name }} is a production of
        <a href="https://bigapplepy.org">Big Apple Py</a>.<br>

        Artwork by <a href="https://www.jessiesima.com">Jessie Sima</a>. UX by
        <a href="https://www.linkedin.com/in/allisonrcameron">
          Allison Cameron</a>. Hosting provided by
        <a href="https://www.rackspace.com">Rackspace</a>.<br>

        Questions? Comments? Please contact
        <a href="mailto:organizers@pygotham.org">organizers@pygotham.org</a>.<br>
        {% if site.data.event.repository_url %}
          <a href="{{ site.data.event.repository_url }}">Help improve this site!</a>
        {% endif %}
      </section>
    </footer>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="/javascripts/bootstrap.min.js"></script>
    <script>
      var today = new Date();
      $('div.day-of').each(function() {
        var $this = $(this);

        var start = new Date($this.data('start'));
        var end = new Date($this.data('end'));

        if (start <= today && today < end) {
          $this.show();
        }
      });
    </script>
  </body>
</html>
